Upgrading When It Is a Supporter Plugin

Is there a best way to upgrade this plugin when it is a supporter plugin? I have set this domain as a plugin available only to supporters. I assume this is why it gives me an error when try to upgrade it? Is there a special process for upgrading plugins that are supporter plugins?